[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#564148: marked as done (kstars: bad time zone bounds checking)

Your message dated Sat, 20 Feb 2010 18:03:05 +0100
with message-id <201002201803.05965.ewoerner@kde.org>
and subject line Re: kstars: bad time zone bounds checking
has caused the Debian Bug report #564148,
regarding kstars: bad time zone bounds checking
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

564148: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=564148
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: kstars
Version: 4:3.5.9-2
Severity: minor


when starting kstars I get lots of errors in the terminal:

QTime::setHMS Invalid time -12:00:00.000
QTime::setHMS Invalid time -12:00:00.000
ExtDateTime::fromString: Parameter out of range
ExtDateTime::fromString: Parameter out of range
QTime::setHMS Invalid time -12:00:00.000
QTime::setHMS Invalid time -12:00:00.000
QTime::setHMS Invalid time -12:00:00.000

My time zone is NZST, which is GMT-12.

you can try this at home with:

TZ='Pacific/Auckland'; export TZ


-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/1 CPU core)
Locale: LANG=en_NZ, LC_CTYPE=en_NZ (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages kstars depends on:
ii  indi             4:3.5.9-2               Instrument Neutral Distributed Int
ii  kdeedu-data      4:3.5.9-2               shared data for KDE educational ap
ii  kdelibs4c2a      4:3.5.10.dfsg.1-0lenny3 core libraries and binaries for al
ii  kstars-data      4:3.5.9-2               data files for KStars desktop plan
ii  libc6            2.7-18                  GNU C Library: Shared libraries
ii  libgcc1          1:4.3.2-1.1             GCC support library
ii  libkdeedu3       4:3.5.9-2               library for use with KDE education
ii  libqt3-mt        3:3.3.8b-5+b1           Qt GUI Library (Threaded runtime v
ii  libstdc++6       4.3.2-1.1               The GNU Standard C++ Library v3
ii  zlib1g           1:       compression library - runtime

kstars recommends no packages.

Versions of packages kstars suggests:
pn  kdeedu-doc-html         <none>           (no description available)
pn  khelpcenter             <none>           (no description available)
ii  konqueror               4:3.5.9.dfsg.1-6 KDE's advanced file manager, web b

-- no debconf information

--- End Message ---
--- Begin Message ---
Version: 4:3.90.1-1

The bug you reported has been fixed in KDE SC 4.0

--- End Message ---

Reply to: